let transitions_WW = [ 
Transition(Q(1) , Lettre('a') ,Q(2) , Lettre('A') , Right) ;
Transition(Q(1) , Lettre('b') ,Q(2) , Lettre('B') , Right) ;
Transition(Q(1) , Lettre('A') ,Q(5) , Lettre('a') , Left) ;
Transition(Q(1) , Lettre('B') ,Q(5) , Lettre('b') , Left) ;
Transition(Q(1) , Epsilon ,Q(31) , Epsilon , None) ;
Transition(Q(2) , Lettre('a') ,Q(2) , Lettre('a') , Right) ;
Transition(Q(2) , Lettre('b') ,Q(2) , Lettre('b') , Right) ;
Transition(Q(2) , Lettre('A') ,Q(3) , Lettre('A') , Left) ;
Transition(Q(2) , Lettre('B') ,Q(3) , Lettre('B') , Left) ;
Transition(Q(2) , Epsilon ,Q(3) , Epsilon , Left) ;
Transition(Q(3) , Lettre('a') ,Q(4) , Lettre('A') , Left) ;
Transition(Q(3) , Lettre('b') ,Q(4) , Lettre('B') , Left) ;
Transition(Q(4) , Lettre('a') ,Q(4) , Lettre('a') , Left) ;
Transition(Q(4) , Lettre('b') ,Q(4) , Lettre('b') , Left) ;
Transition(Q(4) , Lettre('A') ,Q(1) , Lettre('A') , Right) ;
Transition(Q(4) , Lettre('B') ,Q(1) , Lettre('B') , Right) ;
Transition(Q(4) , Epsilon ,Q(1) , Epsilon , Right) ;
Transition(Q(5) , Lettre('B') ,Q(21) , Lettre('B') , Right) ;
Transition(Q(5) , Lettre('A') ,Q(11) , Lettre('A') , Right) ;
Transition(Q(5) , Epsilon ,Q(30) , Epsilon , Right) ;
Transition(Q(21) , Lettre('A') ,Q(21) , Lettre('A') , Right) ;
Transition(Q(21) , Lettre('a') ,Q(21) , Lettre('a') , Right) ;
Transition(Q(21) , Lettre('B') ,Q(21) , Lettre('B') , Right) ;
Transition(Q(21) , Lettre('b') ,Q(21) , Lettre('b') , Right) ;
Transition(Q(21) , Lettre('e') ,Q(21) , Lettre('e') , Right) ;
Transition(Q(21) , Epsilon ,Q(22) , Epsilon , Left) ;
Transition(Q(22) , Lettre('B') ,Q(23) , Epsilon , Left) ;
Transition(Q(22) , Lettre('b') ,Q(23) , Epsilon , Left) ;
Transition(Q(23) , Lettre('A') ,Q(23) , Lettre('A') , Left) ;
Transition(Q(23) , Lettre('B') ,Q(23) , Lettre('B') , Left) ;
Transition(Q(23) , Lettre('e') ,Q(23) , Lettre('e') , Left) ;
Transition(Q(23) , Epsilon ,Q(24) , Epsilon , Right) ;
Transition(Q(23) , Lettre('a') ,Q(24) , Lettre('a') , Left) ;
Transition(Q(23) , Lettre('b') ,Q(24) , Lettre('b') , Left) ;
Transition(Q(24) , Lettre('e') ,Q(24) , Lettre('e') , Left) ;
Transition(Q(24) , Lettre('B') ,Q(5) , Lettre('e') , Left) ;
Transition(Q(11) , Lettre('A') ,Q(11) , Lettre('A') , Right) ;
Transition(Q(11) , Lettre('a') ,Q(11) , Lettre('a') , Right) ;
Transition(Q(11) , Lettre('B') ,Q(11) , Lettre('B') , Right) ;
Transition(Q(11) , Lettre('b') ,Q(11) , Lettre('b') , Right) ;
Transition(Q(11) , Lettre('e') ,Q(11) , Lettre('e') , Right) ;
Transition(Q(11) , Epsilon ,Q(12) , Epsilon , Left) ;
Transition(Q(12) , Lettre('A') ,Q(13) , Epsilon , Left) ;
Transition(Q(12) , Lettre('a') ,Q(13) , Epsilon , Left) ;
Transition(Q(13) , Lettre('A') ,Q(13) , Lettre('A') , Left) ;
Transition(Q(13) , Lettre('B') ,Q(13) , Lettre('B') , Left) ;
Transition(Q(13) , Lettre('e') ,Q(13) , Lettre('e') , Left) ;
Transition(Q(13) , Epsilon ,Q(14) , Epsilon , Right) ;
Transition(Q(13) , Lettre('a') ,Q(14) , Lettre('a') , Left) ;
Transition(Q(13) , Lettre('b') ,Q(14) , Lettre('b') , Left) ;
Transition(Q(14) , Lettre('e') ,Q(14) , Lettre('e') , Left) ;
Transition(Q(14) , Lettre('A') ,Q(5) , Lettre('e') , Left) ;
Transition(Q(30) , Lettre('e') ,Q(30) , Epsilon , Right) ;
Transition(Q(30) , Epsilon ,Q(31) , Epsilon , None)
];;
